=== debian/changelog ===
drnoksnes (1.3.0) unstable; urgency=low

  * Diablo config dialogs updated.
  * Allow player 2 to use onscreen controls.
  * Diagonals in onscreen controls.
  * Diagonals in keyboard controls.

 -- Javier S. Pedro <maemo@javispedro.com>  Mon,  8 Feb 2010 20:19:15 +0100

drnoksnes (1.2.6) unstable; urgency=low

  * Using SDL_haa for scaling in Fremantle now.
  * Reworked GUI key mapping gconf entries.
  * Using GConfClient instead of HGW. Removing dependency on hgw.
  * Moved config file from ~/apps to ~/.config
  * Added new "saver" setting.

 -- Javier S. Pedro <maemo@javispedro.com>  Mon,  1 Feb 2010 02:26:00 +0100
