=== debian/control ===
Source: drnoksnes
Section: user/games
Priority: extra
Maintainer: Javier S. Pedro <maemo@javispedro.com>
Build-Depends: debhelper (>= 5), pkg-config, maemo-version, m4, libsdl1.2-dev,
 libx11-dev, x11proto-core-dev, libxsp-dev, libpopt-dev, zlib1g-dev, gnupg,
 libosso-dev, osso-games-startup-dev, libsdl-image1.2-dev,
 libhildonfm2-dev, libosso-gnomevfs2-dev, libhildonmime-dev,
 maemo-version (<< 5.0) | libsdl-haa1.2-dev
Standards-Version: 3.7.2

Package: drnoksnes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, osso-games-startup
Pre-Depends: maemo-select-menu-location
Description: Super Nintendo Entertainment System emulator
 A Super NES emulator. It allows you to play some games designed for the SNES
 and Super Famicom Nintendo game systems on your tablet.
XSBC-Bugtracker: 
 https://garage.maemo.org/tracker/?func=add&group_id=1014&atid=3790
XB-Maemo-Display-Name: DrNokSnes
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c6QAA
 AAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAABwxJREFUSMe9
 lm1wlNUVx3/3Ps+zu8/uZnfzok0gIQQkEN6UwRAQQaQSQMdW21KKxU51xumL49DR
 L/1QtXX80k5Lmc60M7XT2plia2U6FUEQC4EgrWAgicFIDCEJCUnQkLfNvmT3ee69
 /RCgSlvb6YfemTtzZ86553/PPef8z4H/0xKfJmw81sBd69YDcLatrTwcdndEIuG6
 YDBQkc/nB9LpzKlMJrtr8ZKl/f8T0BsHXmfTvfcB0NvT9ZIbCj00lcvi5abwvbzS
 WhkppbCdgOUEXEIhl+zU1Cuzq27Z+l8DPfXkd/jJzl2cfbdlR2FRYlc2nfRHRsft
 jr4rpDJ58r5Ca4OUAseWRN0ACypvoqQw7rvRuD02Ov7UkluX7axZMJ9zHR/8a6A/
 /uF3bN32MOfa2w4FHLt+ZHSEU+39eL5GSgHGYG58pRBobbAtQd2iCoqLS/A8/3DN
 oqUbPm5bXjvs/PEP2brtYd5ra26yLD7b1dtPY3M3nq8AjdYaT2mKooLKYkFRVOAr
 jdbTcl9pGlt66OrpQ0pz93ttZ1oAVq1c8c8eNRx+4+kZM0p/0Nt/WbR1DSHkP8RG
 wy2lkvZBODfkU1Nmc1uFoGNQfcKKUoZb55Uyu6KMy0MfPrduff2zQohpFWMMQgi7
 4/1WbyKZ5PA757Gt687iK8P8GQF+2zDI/lOXQErwFfeuLGfbmhkMjvmfiLOvNPfU
 ziMWi1Gz6Lbgr375c19Of7Og4fDB17Tv+cebLyAFKKVQSuH5ipryEAUBn/1NSQgl
 IBCHcCEHmpIUh318X13XV0ohheHYmfMoL+8fPXxw32PfeFzb115xc0nx5vFkimwu
 jxTiuicLZ0UIOpKcBxF7nEy4GqM8sAK46gNGUxpfqemAC8HVq+SVZnwyZZeUFNcD
 0gJ44vFvrlm2bOkjTe29ZKbyaK1R2lBdHiEWFNMBkhZLbs5z5EQLRkVgpJUfba/i
 w1SAuTMjlBY7uI5kLJXHmOncnEznKC8tJB6LHbcBVtQuf0KAuTKeEuoqSFVphHEv
 zcvDH+JpzcaiUubNreKFHQVk0mlisVUMTdosKAsRPduL7h8iUlNFQXUZrZ0TSCkY
 mUghgSWLF37bBkgk4sukQKczOcu2LYyBXH6c715oYTI1CcBxt4tnK5ewuLISSwra
 uyeoroygX9zHcM9FbNtGtbQiahdTuqKOy6MZ0jkPISCRSNwmAZyAEzMYcp6HUgow
 nL48QFZoiLgQccnbgreG+hBS0NY1yuI5Ca6kUoQu9FHiBEgISbHtEDh5loA7XWN5
 zwdjsG2rQAJMTCSzRmswoLTG8xUVOPjGh1gYYmF8C6pFiNbOERZVFaK0ISgEPV6W
 UidIoWVT5gQ5Fw+QHM+itMZg0EYzMZnKSICLvX2dnq9k0LHQSuN7Pq5bwqaeNDR3
 Qut51rx/BdcuYUlVEdm8JudpCiMRBh68i19fvsjpoUF+OnqJwi0b6f8ojfIVQdvC
 9xWX+i512wAH3nhz9x131G2IF7h8NJrEGBgcU9xas4q1dg6BYXjKYeH8CoKTHxAd
 fhvpuEzEV1JXu5zBinKSkyk2fKaEMxdSIMBXipJElEw2x1+OHH3pGnnMePPg3oFA
 yOWVQ03TBHqVn/RVFnWDFstKRpiVehNfTf99KByls+BL3FRWTjBgs/9EN77SGGPw
 lebL9bV4+SwbNz9QdY1nBs80t3S6AUtJKa7WkcbXGm2mt2OBSHYRj0coTkQpLiwg
 GoTU6CBuwGZv43lyeQ9fKbTWWFLgBizd3NzaBfR+nFTX7nt1T2M8EefFvSdwbOsT
 /OVYkpnBYb5Y3kKiIIRtSTp6R2h2HqRzGPKeul6onq945PNrmBgf5/4Htqw3xhz9
 uLWLrhtavWB+9dzy0hI6egaRQmIMGAOe0sQSRRw6Pcx773fT0DbGOb2cwUwYzwdt
 DMbAVM5j0+qlBKThz3tfO/LY17/2/N331JsbO2zB8889072idnnRaConX29sJeDY
 XGt3RkMkCEVRCQgGRnIgHQwGgSDnedy3dhlF0YBpOt2c/N4zz80FRgCsG4DyDUcb
 /zR37pxHZ88qC65evpB3O/uYynkIBAjIK5jIwkRWY5AYY8h7CsuSPPqFdUjt0dR0
 ZvLp7z9/OzCw/atbaTvb/m+noNKHvrJlz+ZN9XfOnFGqjXTkkVPtfDQyQTqbw/N9
 HNsm7Aa4uSjO+rpF2Cg9MHhZHjh46OTvX96zBbi0e/dv2L790U8ftyorZwUvXuy7
 f8cT39q5ovb2ikgkTGEiTjjsYtsWyleks1OMjY2TyWR4p+nM0K6f/eLJOVWzX+3u
 6Z1au2Y1x9/663+e64QQwkynUQxYu2D+vM+tWll3Z0X5zJnRaDScTqez/ZcGBt4+
 eepv5zo69wLHgKTjOMLzPHOjvb8DU7Jc01sC1qoAAAAASUVORK5CYII=

Package: drnoksnes-dbg
Architecture: any
Section: devel
Depends: drnoksnes (= ${Source-Version})
Description: Debug symbols for the DrNokSnes emulator
