## drnoksnes 1.3.1

=== Makefile ===
--- 
+++ 
@@ -22,6 +22,8 @@
 CONF_XSP?=0
 # Hildon Desktop compositing (in Fremantle)
 CONF_HD?=0
+# Link to libzeemote
+CONF_ZEEMOTE?=0
 
 # SNES stuff
 OBJS = apu.o c4.o c4emu.o cheats.o cheats2.o clip.o cpu.o cpuexec.o data.o
@@ -77,6 +79,11 @@
 	LDLIBS += -lSDL_image
 	OBJS += platform/sdlvexit.o
 endif
+ifeq ($(CONF_ZEEMOTE), 1)
+	CPPFLAGS += -DCONF_ZEEMOTE=1
+	LDLIBS += -lzeemote -lzeemote-conf -lbluetooth
+	OBJS += platform/zeemote.o
+endif
 
 # automatic dependencies
 DEPS := $(OBJS:.o=.d)
