=== debian/changelog ===
drnoksnes (1.3.1) unstable; urgency=low

  * Fixed issue with Fremantle player 2 GUI.
  * Adding (single) zeemote support.
  * Initial SDD1 pack support.

 -- Javier S. Pedro <maemo@javispedro.com>  Fri, 12 Mar 2010 21:15:25 +0100
