## drnoksnes 1.3.2

=== debian/changelog ===
drnoksnes (1.3.2) unstable; urgency=low

  * Translating the key mapping dialog.
  * Fixing bugs with Zeemote support.

 -- Javier S. Pedro <maemo@javispedro.com>  Sat, 13 Mar 2010 20:10:23 +0100
