## drnoksnes 1.3.3

=== debian/changelog ===
drnoksnes (1.3.3) unstable; urgency=low

  * Minor fix to control file. 

 -- Javier S. Pedro <maemo@javispedro.com>  Mon, 22 Mar 2010 19:08:36 +0100
