=== debian/rules ===
--- 
+++ 
@@ -25,9 +25,13 @@
 CFLAGS := -Wall -g -DMAEMO -DMAEMO_VERSION=$(MAEMO_VERSION)
 CXXFLAGS := -Wall -g -DMAEMO -DMAEMO_VERSION=$(MAEMO_VERSION)
 GUI_CFLAGS := -std=c99 -fPIC -shared $(CFLAGS)
-LDFLAGS := -Wl,-z,defs
+LDFLAGS := -Wl,-z,defs -Wl,-O1
 GUI_LDFLAGS := -export-dynamic -avoid-version -module -shared $(LDFLAGS)
 ASFLAGS := -g
+
+# Compiler optimization settings
+OPT_CFLAGS := -O2 -fomit-frame-pointer -ffast-math
+OPT_CXXFLAGS := $(OPT_CFLAGS) -fno-exceptions -fno-rtti
 
 M4=m4
 M4DEFS=-DMAEMO_MAJOR=$(MAEMO_VERSION)
@@ -38,8 +42,8 @@
 	CXXFLAGS += -O0
 	GUI_CFLAGS += -O0
 else ifneq (,$(findstring armel,$(ARCH)))
-	CFLAGS += -O2 -ffast-math
-	CXXFLAGS += -O2 -ffast-math -fno-exceptions -fno-rtti
+	CFLAGS += $(OPT_CFLAGS)
+	CXXFLAGS += $(OPT_CXXFLAGS)
 	GUI_CFLAGS += -Os
 	ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
 		CFLAGS += -march=armv6j -mtune=arm1136jf-s -mfpu=vfp -mfloat-abi=softfp
@@ -50,8 +54,8 @@
 		CFLAGS += -static-libgcc
 	endif
 else ifneq (,$(findstring i386,$(ARCH)))
-	CFLAGS += -O2 -ffast-math
-	CXXFLAGS += -O2 -ffast-math -fno-exceptions -fno-rtti
+	CFLAGS += $(OPT_CFLAGS)
+	CXXFLAGS += $(OPT_CXXFLAGS)
 	GUI_CFLAGS += -O2
 else
 	# Don't support anything else
