## drnoksnes 1.3.4

=== Makefile ===
--- 
+++ 
@@ -128,7 +128,11 @@
 install: gui_install
 endif
 
-distclean: clean
+profclean: clean
+	find . -name '*.gcno' -delete
+	find . -name '*.gcda' -delete
+
+distclean: profclean clean
 	rm -f config.mk
 
 .PHONY: all clean remake deps install gui gui_clean distclean
