=== debian/changelog ===
drnoksnes (1.3.4) unstable; urgency=low

  * Removed zeemote support since it was not ready for extras yet. 

 -- Javier S. Pedro <maemo@javispedro.com>  Mon, 22 Mar 2010 23:16:46 +0100
