=== debian/control ===
Source: drnoksnes
Section: user/games
Priority: extra
Maintainer: Javier S. Pedro <maemo@javispedro.com>
Build-Depends: debhelper (>= 5), pkg-config, maemo-version, m4, libsdl1.2-dev,
 libx11-dev, x11proto-core-dev, libxsp-dev, libpopt-dev, zlib1g-dev, gnupg,
 libosso-dev, osso-games-startup-dev, libsdl-image1.2-dev,
 libhildonfm2-dev, libosso-gnomevfs2-dev, libhildonmime-dev,
 maemo-version (<< 5.0) | libsdl-haa1.2-dev,
 libbluetooth2-dev | libbluetooth3-dev, libzeemote-dev, libzeemote-conf-dev
Standards-Version: 3.7.2

Package: drnoksnes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, osso-games-startup
Description: Super Nintendo Entertainment System emulator
 A Super NES emulator. It allows you to play some games designed for the SNES
 and Super Famicom Nintendo game systems on your tablet.
XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=add&group_id=1014&atid=3790
XB-Maemo-Display-Name: DrNokSnes
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAA
 AAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAFBdJREFUaN61
 mnmQXMd93z/d7543Mzu7s7PYA4ubAAGCNxmetkSRYkiRlETTslKKSybtyDLtUI5z
 uCqRSzEV2UopsiU5JdmW7FCW5IqiiyIN8BCP0AoP8wB4gTiIg1hg72t2rjfv7M4f
 M7vAApQtlqWu6pp6M29e/37dv/7+vr9vP/gZNa31z/X+n0trNmr/lJFSa21orY2f
 lzPindx85M2DbNl6Lrt3PSjed8ttUgiRAfzZF7/k3XTzjRts274WzbWmZe4wDKPf
 ssxhIYSptVZJko5nmVpMk+QAQjwdx9HTjz76+NF7PnFPu+uE8dW/+Ir6+N2/o8fe
 OsL6jVt+tg784Hvf4fY7PoQQp/7y3LNPnz86Onob6F+UUr7bMAxHqQyVZWRZhtYK
 rTVCCISQGIaBNAykNMiyLFFK/xjBjyfGJx684sqrXzl9RU4f55/twPe+823u+NCH
 hRBCA3zrm9+oXHXVFZ/yPO9XBZS0VqRJTByHaRzHMk1TkWUKpTKxbIyUhjYMiWma
 2rZtZdmOaVkOQkg0NNvt9rf27z/w3257/wcn34kTP5UDOgulMFz12U9/xr/9lz/w
 7/x8/j8I6E2SiDSJknY7FI0gNFrtSNSaIa0wIU0V7TiBbni7jollSHKeRcl38T1H
 F3w381xPm7ZjWbaD1iy1Ws0vPPiDXX/6+5/8z81adc7o6a1kWmt+/a5f476vf+On
 d+C/f/YzvP+2W9mx8yIAvvrVr6x/z3XX/a3netckSUwUBioM28wuNuRctUW1GdKO
 UqQUnYcKEKc9XqNBg9agtMa1TXoLDpWSz5q+gnK9HLbjSdt2aIftF1548cV//ZGP
 fPTIP7USP/GXo4cPsPmc7QA88dgj79qwccM3LNNcF4dBEkWhNbtY5/jUEkutkCzT
 GFIghUD/lHGrtCbNFKYh6ck7bBgsMdDXg+O4mePljCRNT44dP3Hne2648UmAx370
 kHjvje/T7ziEnn367z86OLjma0IKOwxaaRAE5tHxecbnGijdMVwgOjN8WlMK1Glf
 SQFSnjl4539ZphEC1laKbF5bxvf9zPV8Q2udzczMfOyqa951n9ZaCiHUmSsizzT4
 K1/+ElprAfD4Yw/dMTBQuQ+0HQVNVa3Vzb2HJhib6eC/IcVKSOjTwkNryDmC/qJk
 sCSpFCU5p3Nvps6+1zAEQsCJ2Rp7D01SXaob7aChtFZGpVL5X08+/siHu8bLM8PJ
 PP3i3v/6B9z9259ACKH/5ut/ddnI8Mh9oGUUBmqh2pCvHp6i2Y6xDInuDn7mrAsJ
 gz2Cki8wZKcrpUkVNEPBTE0RpRopTk9knU9DCKr1NnsOTXDROUOy3Iu2HU8MDQ19
 7VvfuO+4EOL5Zn3ByBfL2VkhdPrS/MZdv1a5557ffiyfz18YhkFar7fMvYcmaLVj
 TFOizrBcdI3QwFBJ4juasQXBeBXqEeRtGO2DDX0aLQxOLmTEXSc0Z4dVkmbkczYX
 bx2h1JPXjuOJVqu178tf/ovrv/bX982+8PzT8vLzz1ci1/P2e+CJxx/+4ujatb+b
 pUnaDFrmngPjVOttTFPydllf01mNtX0mho54fH/MK8dbHDg2SdBs4/ou2zeNcOH6
 HDftdNCGy4mFZBVKrXJCQJoqSgWXy7aP4udyqWnZ5snx8S9ff8PN//b0yV7ZA48/
 ulsAfPaPPn1ppdJ/d5YmZGlivjk2x0ItWAmFTuic6lmmUJlmsGRS8hRPvr7Erj1z
 7Dk4ThAphOsRRoqXD42ze88cT7xexZYJniW7++HsrlQHHBZqAYfGZknTxEzThEql
 /3e+8Cefu1IIwVNPPipXOXD9je8D4Oqrr/yUaRi2UpmaWahxYqaKFJAphXqbrrVm
 uM9iqNdiqd7miTeaNEINhouwc2jpguOD4dKIND96vUkrCHEtyDKF1m//3EwppBSc
 mK4ys1BDZSmmNLj0kos+CfCu627UIyNrT21iIYT+/Oc+++6879+glSKJY3H4xBxp
 qjANcVboaEArzdp+l8FeG5WlhFHE2EKEkh5Y3ur4NiBMBWPzbeI4RtpuZ0Ul/GNk
 NEkzjpycp7+Ux7Ylvu+/5wt/8rnrhRBP7H3hGWMVjO7Yvu12x7FzaJVMzdfFfD1A
 Cs4KHaUUaaoY7LMZ7LU6oQCgFQUjRCsBVg5M91S3cqAkRStEaU2SLs/+24fRcpdC
 sFAPmJqvgVZYtpXbtm3L7QAXX361XnHgY79x5ybPc28SUhDFiTE5XyOOU+gafHpP
 UsVgr8VIn3MK1xH4ns0lIwrCJtL2wcyB4YDld67bDS4dUbi2RRAplFYkaUaUZMRJ
 Rpoth+WpsUATxymTczXiJEEKged6N/3mv/n1TUIIteLA5k2btvu+vxWVqVY7lHPV
 RnfjqlUzEqcZA7026wc8BCCF6GRZIfG8HO+9sI8Rexw1ebATZ1YRMoGaPMSQM8HN
 F5cJE0mjnVL0TNb0OowOeAyWHfKegdaaNF09piEFc9UGzSBE60z5fm7z5k0bd6xK
 ZGvWVK60bQullK412zSCCNsyyPSpPKE0DPW5bB5wSZOUbsLuOgKmaTM6PMBv3RTy
 8HOHef3kMRotjedqLliX47ZrtzIwUGZ8STNU9qiULAwpOxOlNUmmaAYZk/Mh7ShD
 drOdENAIIpaabYq+py3LYmBN/5XArmUHrHzevxqtyTItFmqtbujolXIvU5pKyWFD
 2Wa22eJ4mjKjEiI0vcJkrTRZa9vkcjk2bd7AR3qLLCwsEkURtm0zUCmT7ykxVVVU
 Sg79nsKYrOLW2lhRSmIbUMpRKOfYMOjx1lTQdYKViVpYajJSKUkhwPf9q4DcsgN5
 13U3aUBrJerNsDPrSnXQRoNtSkZLNscWF3iqVef16jRHZyZJk5i+YokdQ+u52M3z
 7vIAed/HcWzK/f2oTGFZBgiDo1MBxaJL0UgQe08gT84wdewt4mYT2/fp27QRRtcg
 z1/PcNnh6ESrQ0+6PLzeDFFKIaWB57qbekul/LIDnuM4/cv8phmEaKVR3R8zpRku
 uQRRi13TJ3iuMU+ttgjSAMdmMajzzNghxnsr+EnKNes24LkurgumhEzBgbEaPXmX
 So9B65l9uK8fY3F2FqE1rmWhgoDq/gMU5+aJ0jb25TvJuwZLrQRTCrTSNIIIrRFa
 KxzH6e/p6fEkgOu6tmmaue7uF+0oQS2jj9ZkSlN0JIer8zxfnydUKbguODbYJsLz
 0IZgOg54cn6COAhRXXKWKTh4okbeM9k4nKe+WMPedwQZtMkJiW/Z5IQk3/2UQYD1
 2mGiRgPHkaSZItMahSaKE1S3zjZNM2dZpmUCWJZpCCFkB7YEabcgV13GrjSYQlNr
 t6nGTUzXA2GtSmoICLOI6UQRtSO83iJKad54q0ohZ7FpuEA7yQhaAf58FcswMQ3j
 FPkBMAxElEArII4ipJ3romAnaaZZBpouvCIBwwRIkpQ4ibXWnjjFLvUpqquhHacY
 SQatiLSQ76RWrZfvBsOAWp1cJNCiAwD7j1dxbYPNw0XSrBPHqVYskNGbCFzbIlVq
 hdIZQhIlMYsiQ6UZscg6VFFplFYIYawgYhzHWZKmnUQWhqEKgnaoOiWUtiyzy32W
 w0hRbacMOjlG2hrCEOm74FhgG5BzwJJQb3G+mQPL4rUjC5iGYOtoD0nWAQNDCBw/
 x+SaEkthgG8Y5KWBKyR5w8Q3DKpBwPRgL8J2CNpJpwjqIqJpSKBjUzsMoziKVhJZ
 3Gw0a0plCAG+a3WIVtcJlGa2HlHIFfmXpUGM/SdRE3NgGZD3IIxh3zG21xSXr1nL
 oYkmppRsX9+H0gKERCCQUtJTKCAu2MrTRsremWmkUpQNAyPNeGV2mmeMFHnxNmJl
 UmvGnaIzU2SZwnftLjgqmo1mvdFopssoFC5Wq1MbsnWDti3o8T1OZIsrJSNAO0qZ
 rAsuXL+JO8OIx/cdZvy1t8iEppAJLiiVuWHnTpYSm54elx2b+gjjDK05pVIIQd51
 Gd20nsb1V/Cj5/by4+kxcnFKYEjC4TLrrrmUwXXrODEXk6lTdXSWZfTkPYQQZJmi
 Wl2aaTSb0bIDjcmp6VcvOP+8i9Fal3vzYlkxOL36qgWKOJVs3bKdwb4K9aUqWZri
 5nz6KhVqiU0hl+PcDWXCZo2iqFIQDUyRESiPuu4hNEr09/Zywfnn0ddfZmp6lna7
 Tc512Do8yODAAOMLGc1YYUjZodVCkCpFf28egdZpmorJqamXgcayA/HY8bEXm83W
 nTnPo5T38D2bKE6QcjWVbrY1QQSe209hqA8pNJmWzIYghcHGkTJhbYrB7DCicYyF
 uTGyNMQr9NM/cA7zYpSWfy795V7yeZ8No2tJ0xTHtrAsizfGasw3YixTLqMNqVLk
 XYdSIUeaZjRbLY6PnXgJaK5woX37DxyenJpaKPWWyvmco4b6e+TBt6bIufYq9bjj
 kKARKpQSK5tTodk40oORtcgtvYyZHqZRW8Q2JcLKoaIawfRr9BbnWYpM7MEdFPI+
 vu9jGh0ceungDHO1qGv8qTHDKGH9cJlCzqEdhnJqanpp3xv731xVke3bt//lyYmp
 Z4MgQKD1+uEytmV0c8JqSo1WGFJgmxLHNDDNTnWec23S+iS96XEMoSn4OfK5zmoW
 8gU828SlSaF1gEYQAxrDECgNew/NMj7bYcBZdmqsNM2wLYP1Q2UEmnbQZmpy6tl9
 +/a/cqYuNP/8Cy89NT83T9COjHWDfbrSWyBK0rNrVq3JlCLt9qwLtVJAGgU4uo7r
 mPg5h5xnk/Mccp6F73s4IsLIGgRBiGl0RII9B6c5PrWElJxF36MkodJbYP1QmaAd
 sbC4yPMvvPR/gTmttTDPkFUeuubaq+7q6+vb6bm2vnTHBjExVyXNsn9Un+yIVBDF
 CTqBuVCytddECHMVCNimZHEpZbZlYPR3JuKVN2cZm651AEOtri0zpRBCcNG569FK
 EQQBx4+feOPhRx/brbVmaHjNqRXoGnjsgQd2/838/AL1RksOV4rs3DxCnLx9ZXZ6
 YY9WtFohiSxyaDFPGGeUijnyOYec61AqeLi2xfhCxlQ8gGOZvHhgmqMT1Q5cn/FM
 tCZJUs4/Zy3DlSL1RpP5+QUeevjRbwLHhRBMT82eJS3GL+3Ze/+LL+39cRAENJuB
 uuy8jQz19xCE8cpKnS2DdOjAbLUJdoE54xzuf77KoRM1fNdmTa9HO1I8tmeaZ8YL
 GKVNHB6v8tZktVtzq67MeKoHYcxgfw+Xn7eRVitQQRDw4kt7n3vm2X94QGvdBugp
 FvVKXBQLBeqNBgDlct9Hfv8//t5XztuxvadUKqgo0fLBp15modbEtS14Ww1akGaK
 /qLFQFFy8sgB6hP76DVbOIaiGlkk7hCj2y4hEnmm6ymWaZ1OB1daEMZUegvc9q6L
 yTkmi9Ul9h842Pzc57949/z8wneA2LZt4jhm5fAtiuOVB7Tb7amlpSWxaeOGX7Bt
 V/YUfL1uuCImZ6o0Wsubr6slrvSOghBEKXGiWbNmALu4hqY5QGCvxRs4h+EN22il
 DjP1FLPDI1c9RyAIo4RyqcDN115AIWezWF3i5Mlx/b+//d0/PXz46De11s17772X
 QiFPGEYYP+HUMPz4x3/rrSRN+jZuWH+hkFL0lfJsXDvAXLXOQq2JFOJtxPmOTB6E
 GfUgRZoOuXyRXKGEsPMstjS1turQ6GVBVSwLw4ooSVm7po9bfvEi8p7JwuISs7Nz
 /PDBXX/71N//vy9qrSeFEFpKQbsdLstNZ7d7771X3/WxO2vf/+79h4G1w0ND2xCC
 fM7T2zePCqU1U/NLnc0tRBcATk92EqUhiBS1tqIeZASRItMSuSJFdah4plQHvTRc
 smMDN1x1Hgaa+YUqMzOzPLjroYd27X7kj//wDz956Lrrrs96Sj2EXeN/4gFHf6Wf
 +bl5tmzbIo8cOnLJe6+/7t/feuvN/2pkeEgUinnVVyrJk9NVXnzjGJOzVaI4wbYt
 jK7crM8QaldXPp1Rs0wRxSmOYzFUKXHFzs2MDJRYqtd1s9kSExOT7N79yHcefeyJ
 z3/4V+547dv/53uRn/dpNVurIF38pIPn5Zt+6fb32z+4/8Fzdp634zc/dMcH79py
 zuaC67pUyn3YjsPY5DxHTs5yfHKOWiPAkBLRZZ5CiOVyZ5Vwq7SmmPdYP1xhy+gA
 G0cqJHHM3PwiYRRy+PDR8IcP7Prrl1959au//EsfOPjd7/8wFkLwx5/5FP/lDz79
 zk8p09aCNP3ySLFQuOOW9930q1decdml5XKZnp4ivaUeDNOk2Y5ZrLWYnF1kvtqg
 1Y6oNYLu0ZOgp5DDdx36e/MMD/TR1+NT8B2yJGGp1qBerzM/v8A/vPDSK7t2P/Kt
 er1+///8wv84cc/v/ac053l8/S//nF/56J3v/Ji1p1ikVq8vX/YCO4eHBm/6wG23
 fPDcc7dt7+8vi1zOw3Vs7bouhmkipSGklCsnlcsnlJ0kleksTQnDiCiORStoszC/
 wMGDh97c/fCj94+dOPkI8KrWSU0IS50O7//sVw0AfvcTd8sv/dmf9wOX7Ny549Z/
 cdklvzA6OrpleHgol8/7GNJAGhLTMDAMAyFE9xwhI82yjnSeKVrNJpNT09HJk+Nv
 vrhn7zOvvbbv74BXbr3lptldux9JOzW+wdqRYcZOnPzZObDc7vjg++3v//DBCrBl
 zZqBK0aGh3asX7du29DgmpFyua/X932vUMgby3up3miqoNlqLywuVqdnZiaOj518
 c3xi4sDMzOzzwOHbP3DbzP0P/F28TGtM0yRJkp/tyx5nHostv5EihPCBHmAAGDRN
 s880jIJhGrmu/ppladZKs6yZpukiMA3MArVXX36+deHFVywf2gnLMnWSpD+1If8f
 pV162nKifPwAAAAASUVORK5CYII=

Package: drnoksnes-dbg
Architecture: any
Section: devel
Depends: drnoksnes (= ${Source-Version})
Description: Debug symbols for the DrNokSnes emulator
